<?php

include '../../../script/conexion.php';

$id_compra = $_GET['id_compra'];
$estado = $_GET['estado'];

$sqlt = "SELECT * FROM alm_compra WHERE id='$id_compra'";
$queryt = $conn->query($sqlt);
$rowt = $queryt->fetch_assoc();

$sql1 = "UPDATE alm_compra SET estado='$estado' WHERE id='$id_compra'";
if ($conn->query($sql1) === TRUE) {

    $sql2 = "UPDATE alm_compra_detalle SET estado='$estado' WHERE id_compra='$id_compra'";
    if ($conn->query($sql2) === TRUE) {


        $sql3 = "SELECT * FROM alm_compra_detalle WHERE id_compra='$id_compra'";
        $query3 = $conn->query($sql3);
        if ($query3->num_rows > 0) {
            while ($row3 = $query3->fetch_assoc()) {


                $class_referencia = $row3['referencia_producto'];
                $class_talla = $row3['talla'];

                include '../../../clases/class-referencia.php';

                $class_nombre_tercero_cierre = $rowt['nombre_tercero'];
                $class_referencia_cierre = $row3['referencia_producto'];
                $class_talla_cierre = $row3['talla'];

                include '../../../clases/class-cierre.php';
            }
        }


        echo '<script language = javascript>
                     self.location = "../compra-detalle.php?id_compra=' . $id_compra . '"
                </script>';
    } else {
        echo "Error: " . $sql2 . "<br>" . $conn->error;
    }
} else {
    echo "Error: " . $sql1 . "<br>" . $conn->error;
}

